Subject: [PATCH 0/9] Allow COMMON_CLK to be selectable

From: Stephen Boyd <[email-masked]>
Date: Sat, 4 Apr 2020 19:51:14 -0700

This patch series cleans up a handful of selects that were redundant and
deletes presumably dead code with the goal of making it possible to add
kunit tests for the CCF in the future. To do that, we introduce a
"legacy" clk Kconfig option to mark code that hasn't migrated to the
common clk framework and then make the COMMON_CLK config option visible
in the menuconfig as long as that legacy option isn't enabled. I've also
included a couple patches at the end that may be more controversial but
helped me consolidate all this logic/code.

I haven't done more than compile test a few configs for arm, arm64,
h8300, and mips. More testing is welcome.

The plan is that I'll just merge the whole pile through the clk tree. If
the first five patches or the last three patches are better going
through another tree like arm-soc or architecture trees that's fine too,
but there are potential conflicts between trees so maybe it's better to
just leave it all in one tree.

Stephen Boyd (9):
  ARM: Remove redundant COMMON_CLK selects
  ARM: Remove redundant CLKDEV_LOOKUP selects
  arm64: tegra: Remove redundant CLKDEV_LOOKUP selects
  h8300: Remove redundant CLKDEV_LOOKUP selects
  MIPS: Remove redundant CLKDEV_LOOKUP selects
  clk: Allow the common clk framework to be selectable
  ARM: mmp: Remove legacy clk code
  MIPS: Loongson64: Drop asm/clock.h include
  clk: Move HAVE_CLK config out of architecture layer

Cc: Alexander Shiyan <[email-masked]>
Cc: "Andreas Färber" <[email-masked]>
Cc: Arnd Bergmann <[email-masked]>
Cc: Aurelien Jacquiot <[email-masked]>
Cc: Catalin Marinas <[email-masked]>
Cc: <[email-masked]>
Cc: Geert Uytterhoeven <[email-masked]>
Cc: Guan Xuetao <[email-masked]>
Cc: Jiaxun Yang <[email-masked]>
Cc: <[email-masked]>
Cc: <[email-masked]>
Cc: <[email-masked]>
Cc: <[email-masked]>
Cc: <[email-masked]>
Cc: Lubomir Rintel <[email-masked]>
Cc: Manivannan Sadhasivam <[email-masked]>
Cc: Mark Brown <[email-masked]>
Cc: Mark Salter <[email-masked]>
Cc: Paul Burton <[email-masked]>
Cc: Paul Walmsley <[email-masked]>
Cc: Rich Felker <[email-masked]>
Cc: Russell King <[email-masked]>
Cc: Thierry Reding <[email-masked]>
Cc: Thomas Bogendoerfer <[email-masked]>
Cc: Tony Prisk <[email-masked]>
Cc: [email-masked]
Cc: Will Deacon <[email-masked]>
Cc: Yoshinori Sato <[email-masked]>

 arch/Kconfig                     |   6 --
 arch/arm/Kconfig                 |   5 +-
 arch/arm/mach-actions/Kconfig    |   1 -
 arch/arm/mach-clps711x/Kconfig   |   1 -
 arch/arm/mach-mmp/Kconfig        |   1 -
 arch/arm/mach-mmp/Makefile       |   6 --
 arch/arm/mach-mmp/clock-mmp2.c   | 114 -------------------------------
 arch/arm/mach-mmp/clock-pxa168.c |  94 -------------------------
 arch/arm/mach-mmp/clock-pxa910.c |  70 -------------------
 arch/arm/mach-mmp/clock.c        | 105 ----------------------------
 arch/arm/mach-mmp/clock.h        |  65 ------------------
 arch/arm/mach-vt8500/Kconfig     |   1 -
 arch/arm64/Kconfig.platforms     |   1 -
 arch/c6x/Kconfig                 |   1 +
 arch/h8300/Kconfig               |   1 -
 arch/m68k/Kconfig.cpu            |   2 +-
 arch/mips/Kconfig                |   8 +--
 arch/mips/loongson2ef/Kconfig    |   2 +-
 arch/mips/loongson64/smp.c       |   1 -
 arch/sh/boards/Kconfig           |   5 ++
 arch/unicore32/Kconfig           |   2 +-
 drivers/clk/Kconfig              |  23 +++++--
 22 files changed, 34 insertions(+), 481 deletions(-)
 delete mode 100644 arch/arm/mach-mmp/clock-mmp2.c
 delete mode 100644 arch/arm/mach-mmp/clock-pxa168.c
 delete mode 100644 arch/arm/mach-mmp/clock-pxa910.c
 delete mode 100644 arch/arm/mach-mmp/clock.c
 delete mode 100644 arch/arm/mach-mmp/clock.h

base-commit: 7111951b8d4973bda27ff663f2cf18b663d15b48
-- 
Sent by a computer, using git, on the internet

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel